---
features:
  secondary:
  - name: "Deploy Helm charts with the agent for Kubernetes"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/gitops/helm.html'
    reporter: nagyv-gitlab
    stage: deploy
    categories:
    - Kubernetes Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/371019'
    description: |
      You can now [use the agent for Kubernetes to deploy
      Helm charts to your Kubernetes cluster](https://docs.gitlab.com/ee/user/clusters/agent/gitops/helm.html).
      Until now, the agent for Kubernetes only supported vanilla Kubernetes manifest files in its GitOps
      workflow. To benefit from the GitOps workflow, Helm users had to use a CI/CD job to render and commit
      resources.
      
      The current release ships with Alpha
      support for Helm. Because Helm is a mature product, we consider the
      solution performant. However, [known issues](https://docs.gitlab.com/ee/user/clusters/agent/gitops/helm.html#known-issues) exist
      and the API might change without prior notice. We welcome your feedback in [the
      related epic](https://gitlab.com/groups/gitlab-org/-/epics/7938), where we discuss
      future improvements and next steps.
